<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="vendorContract">
            <h2><span>Vendor Contract</span> {{ vendorContract.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span>Name</span></dt>
                <dd>
                    <span>{{ vendorContract.name }}</span>
                </dd>
                <dt><span>Vendor Id</span></dt>
                <dd>
                    <span>{{ vendorContract.vendorId }}</span>
                </dd>
                <dt><span>Vendor Contract Start Date</span></dt>
                <dd>
                    <span>{{ vendorContract.vendorContractStartDate }}</span>
                </dd>
                <dt><span>Vendor Contract End Date</span></dt>
                <dd>
                    <span>{{ vendorContract.vendorContractEndDate }}</span>
                </dd>
                <dt><span>Vendor Contract File</span></dt>
                <dd>
                    <span>{{ vendorContract.vendorContractFile }}</span>
                </dd>
                <dt><span>Remark</span></dt>
                <dd>
                    <span>{{ vendorContract.remark }}</span>
                </dd>
                <dt><span>Status</span></dt>
                <dd>
                    <span>{{ vendorContract.status }}</span>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/vendor-contract', vendorContract.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
            </button>
        </div>
    </div>
</div>
